仪表板

保存我的仪表板

POST/api/dashboard

使用提供的名称、描述和配置创建或更新当前用户的个人仪表板。

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Request body

NameTypeDescription
descriptionstringDescription of the dashboard.
namestringDisplay name of the dashboard.
parametersobjectDashboard configuration, including components, layout, and saved reports.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
descriptionrequiredstringDescription of the dashboard.
idrequiredstringDashboard board ID, equal to the owning user ID.
namerequiredstringDisplay name of the dashboard.
parametersrequiredanyOfDashboard configuration, including components, layout, and saved reports.
teamIdrequiredstringID of the associated team, if any.
typerequiredstringBoard type used for the dashboard.
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the user who owns the dashboard.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL